Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::action::shuffle_fn::ConceptImpl Struct Reference

## Public Member Functions
template<typename Rng , typename Gen , typename I = iterator_t<Rng>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< concepts::RandomAccessRange, Rng >(), concepts::is_true(Permutable< I >()), concepts::is_true(UniformRandomNumberGenerator< Gen >()), concepts::is_true(ConvertibleTo< concepts::UniformRandomNumberGenerator::result_t< Gen >, difference_type_t< I >>())))